//
//  MPFractionFunction.m
//  MathKit
//
//  Created by Kim Wittenburg on 07.10.14.
//  Copyright (c) 2014 Kim Wittenburg. All rights reserved.
//

#import "MPFractionFunction.h"

#import "MPFractionTerm.h"
#import "MPExpression.h"



@implementation MPFractionFunction

MPFunctionAccessorImplementation(NumeratorExpression, _numeratorExpression)
MPFunctionAccessorImplementation(DenominatorExpression, _denominatorExpression)


- (NSArray *)childrenAccessors
{
    return @[@"numeratorExpression", @"denominatorExpression"];
}


- (Class)functionTermClass
{
    return [MPFractionTerm class];
}


- (NSString *)description
{
    return [NSString stringWithFormat:@"%@ / %@", self.numeratorExpression, self.denominatorExpression];
}

@end
